routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Route::get('/', function () {
    return view('welcome');
})->name('home'); */


Route::group(['middleware' => ['auth']], function(){
    Route::prefix('admin')->name('admin.')->namespace('Admin')->group(function(){

        Route::resource('cidades', CidadeController::class)->except(['show']);
        Route::resource('planos', PlanoController::class)->except(['show']);
        Route::resource('cobradores', CobradorController::class)->except(['show']);
        Route::resource('vendedores', VendedorController::class)->except(['show']);
        Route::resource('clientes', ClienteController::class);
        Route::resource('cobrancas', CobrancaController::class);
        Route::resource('vencimentos', VencimentoController::class);
        Route::resource('relatorios', RelatorioController::class);

    Route::get('admin/clientes/lista-clientes', 'ClienteController@lista_clientes')->name('clientes.lista-clientes');
    Route::get('admin/cobrancas/lista-aberto', 'CobrancaController@cobrancas_aberto')->name('cobrancas.cobranca-aberto');
    Route::get('admin/cobrancas/lista-recibo-aberto', 'CobrancaController@cobrancas_recibo_aberto')->name('cobrancas.cobranca-recibo-aberto');
    Route::get('admin/vendedores/relatorio', 'VendedorController@relatorio')->name('vendedores.relatorio');

        /* Route::prefix('clientes')->name('clientes.')->group(function(){

            Route::get('/', 'ClientController@index')->name('index');
            Route::get('/cadastro', 'ClientController@create')->name('create');
            Route::post('/store', 'ClientController@store')->name('store');
            Route::get('/{client}/editar', 'ClientController@edit')->name('edit');
            Route::post('/atualizar/{client}', 'ClientController@update')->name('update');
            Route::get('/excluir/{client}', 'ClientController@destroy')->name('destroy');

        });

        Route::prefix('vendedores')->name('vendedores.')->group(function(){
            Route::get('/', 'SellerController@index')->name('index');
            Route::get('/cadastro', 'SellerController@create')->name('create');
            Route::post('/store', 'SellerController@store')->name('store');
            Route::get('/{seller}/editar', 'SellerController@edit')->name('edit');
            Route::post('/atualizar/{seller}', 'SellerController@update')->name('update');
            Route::get('/excluir/{seller}', 'SellerController@destroy')->name('destroy');
        });

        Route::prefix('cobradores')->name('cobradores.')->group(function(){
            Route::get('/', 'CollectorController@index')->name('index');
            Route::get('/cadastro', 'CollectorController@create')->name('create');
            Route::post('/store', 'CollectorController@store')->name('store');
            Route::get('/{collector}/editar', 'CollectorController@edit')->name('edit');
            Route::post('/atualizar/{collector}', 'CollectorController@update')->name('update');
            Route::get('/excluir/{collector}', 'CollectorController@destroy')->name('destroy');
        });

        Route::prefix('planos')->name('planos.')->group(function(){
            Route::get('/', 'PlanController@index')->name('index');
            Route::get('/cadastro', 'PlanController@create')->name('create');
            Route::post('/store', 'PlanController@store')->name('store');
            Route::get('/{plan}/editar', 'PlanController@edit')->name('edit');
            Route::post('/atualizar/{plan}', 'PlanController@update')->name('update');
            Route::get('/excluir/{plan}', 'PlanController@destroy')->name('destroy');
        });

        Route::prefix('vencimentos')->name('vencimentos.')->group(function(){
            Route::get('/', 'DueDateController@index')->name('index');
            Route::get('/cadastro', 'DueDateController@create')->name('create');
            Route::post('/store', 'DueDateController@store')->name('store');
            Route::get('/{due_date}/editar', 'DueDateController@edit')->name('edit');
            Route::post('/atualizar/{due_date}', 'DueDateController@update')->name('update');
            Route::get('/excluir/{due_date}', 'DueDateController@destroy')->name('destroy');
        });

        Route::prefix('cobrancas')->name('cobrancas.')->group(function(){
            Route::get('/', 'ReceiveController@index')->name('index');
            Route::get('/cadastro', 'ReceiveController@create')->name('create');
            Route::post('/store', 'ReceiveController@store')->name('store');
            Route::get('/{due_date}/editar', 'ReceiveController@edit')->name('edit');
            Route::post('/atualizar/{due_date}', 'ReceiveController@update')->name('update');
            Route::get('/excluir/{due_date}', 'ReceiveController@destroy')->name('destroy');
        }); */

    });
});




Auth::routes();

Route::get('/', 'HomeController@index')->name('home');

app/Vendedor.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Vendedor extends Model
{
    protected $fillable = ['nome', 'rg', 'cpf', 'data_nascimento', 'contato'];

    public function clientes()
    {
        return $this->hasMany(Cliente::class);
    }
    public function endereco_vendedor()
    {
        return $this->hasOne(EnderecoVendedor::class);
    }
}

app/Http/Controllers/Admin/VendedorController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Vendedor;
use App\Cliente;
use App\EnderecoVendedor;
use App\Http\Requests\VendedorRequest;
use Barryvdh\DomPDF\Facade\Pdf;

class VendedorController extends Controller
{

    public function index()
    {
        $vendedors = Vendedor::all();
        return view('admin.vendedors.index', compact('subtitulo', 'vendedors'));
    }


    public function create()
    {
        $action = route('admin.vendedores.store');
        return view('admin.vendedors.form', compact('action'));
    }


    public function store(VendedorRequest $request)
    {
        DB::beginTransaction();

        $vendedor = Vendedor::create($request->all());
        $vendedor->endereco_vendedor()->create($request->all());

        DB::commit();

        $request->session()->flash('sucesso', "Vendedor(a) $request->nome incluido com sucesso");
        return redirect()->route('admin.vendedores.index');
    }


    public function edit($id)
    {
        $vendedor = Vendedor::find($id);
        $action = route('admin.vendedores.update', $vendedor->id);
        return view('admin.vendedors.form', compact('vendedor', 'action'));

    }


    public function update(VendedorRequest $request, $id)
    {
        $vendedor = Vendedor::find($id);

        DB::beginTransaction();

        $vendedor->update($request->all());
        $vendedor->endereco_vendedor->update($request->all());

        DB::commit();

        $request->session()->flash('sucesso', "Vendedor(a) $request->nome alterado com sucesso!");
        return redirect()->route('admin.vendedores.index');
    }


    public function destroy(Request $request, $id)
    {
        $vendedor = Vendedor::find($id);

        DB::beginTransaction();

        $vendedor->endereco_vendedor->delete();

        $vendedor->delete();

        DB::commit();

        $request->session()->flash('sucesso', 'Vendedor(a) excluído com sucesso');
        return redirect()->route('admin.vendedores.index');
    }

    public function relatorio()
    {
        $clientes = Cliente::all();
        $vendedors = Vendedor::all();
        $count = 0;

        if ($clientes->vendedor_id == $vendedor->nome){
            $count = $clientes->vencimento_id->count();
        }

        $pdf = Pdf::loadView('admin.vendedores.relatorio', compact('clientes', 'vendedors',' count'));

        return $pdf->setPaper('a4')->stream('relatorio_comissao_vendedor.pdf');

    }
}

resources/views/admin/vendedors/form.blade.php
@extends('layouts.app')

@section('content')

    <section class="section">

        <form action="{{$action}}" method="POST">
            @csrf
            @isset($vendedor)
                @method('PUT')
            @endisset

            <div class="row">
                <div class="input-field col s6">
                    <h4>Cadastro de Vendedores</h4>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s6">
                    <h6>Dados Pessoais</h6>
                    <hr>
                </div>
            </div>
            <div class="input-field col s12">
                <div class="for-group">
                    <label for="nome">Nome</label>
                    <input type="text" name="nome" id="nome" value="{{old('nome', $vendedor->nome ?? '')}}">
                    @error('nome')
                        <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                    @enderror
                </div>
            </div>
            <div class="row">
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="rg">RG</label>
                        <input type="text" name="rg" id="rg" value="{{old('rg', $vendedor->rg ?? '')}}">
                        @error('rg')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- CPF --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="cpf">CPF</label>
                        <input type="text" name="cpf" id="cpf" value="{{old('cpf', $vendedor->cpf ?? '')}}">
                        @error('cpf')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- Data de Nascimento --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="data_nascimento">Data de Nascimento</label>
                        <input type="text" name="data_nascimento" id="data_nascimento" value="{{old('data_nascimento', $vendedor->data_nascimento ?? '')}}">
                        @error('data_nascimento')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- Contato --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="contato">Contato</label>
                        <input type="text" name="contato" id="contato" value="{{old('contato', $vendedor->contato ?? '')}}">
                        @error('contato')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="input-field col s6">
                    <h6>Endereço</h6>
                    <hr>
                </div>
            </div>
            {{-- Rua --}}
            <div class="row">
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="rua">Rua</label>
                        <input type="text" name="rua" id="rua" value="{{old('rua', $vendedor->endereco_vendedor->rua ?? '')}}">
                        @error('rua')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- Número --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="numero">Número</label>
                        <input type="text" name="numero" id="numero" value="{{old('numero', $vendedor->endereco_vendedor->numero ?? '')}}">
                        @error('numero')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- Complemento --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="complemento">Complemento</label>
                        <input type="text" name="complemento" id="complemento" value="{{old('complemento', $vendedor->endereco_vendedor->complemento ?? '')}}">
                        @error('complemento')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
                {{-- Bairro --}}
                <div class="input-field col s3">
                    <div class="for-group">
                        <label for="bairro">Bairro</label>
                        <input type="text" name="bairro" id="bairro" value="{{old('bairro', $vendedor->endereco_vendedor->bairro ?? '')}}">
                        @error('bairro')
                            <span class="red-text text-accent-3"><small>{{$message}}</small></span>
                        @enderror
                    </div>
                </div>
            </div>

            <div class="right-align">
                <a href="{{route('admin.cobradores.index')}}" class="btn-flat waves-effect">Cancelar</a>
                <button type="submit" class="btn waves-effect waves-light">Salvar</button>

            </div>

        </form>
    </section>
@endsection

resources/views/admin/vendedors/index.blade.php
@extends('layouts.app')

@section('content')

    <section class="section">
        <table class="highlight">
            <thead>
                <tr>
                    <th>Nome</th>
                    <th>CPF</th>
                    <th class="right-align">Opções</th>
                </tr>
            </thead>

            <tbody>
                @forelse ($vendedors as $vendedor)
                    <tr>
                        <td>{{$vendedor->nome}}</td>
                        <td>{{$vendedor->cpf}}</td>
                        <td class="right-align">

                            <a href="{{route('admin.vendedores.edit', $vendedor->id)}}">
                                <span>
                                    <i class="material-icons blue-text text-accent-2">edit</i>
                                </span>
                            </a>


                            <form action="{{route('admin.vendedores.destroy', $vendedor->id)}}" method="POST" style="display: inline">
                                @csrf
                                @method('DELETE')

                                <button style="border:0;background:transparent;" type="submit">
                                    <span style="cursor: pointer">
                                        <i class="material-icons red-text text-accent-3">delete_forever</i>
                                    </span>
                                </button>
                            </form>
                        </td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="2">Não há vendedores cadastrados</td>
                    </tr>
                @endforelse
            </tbody>
        </table>

        <hr>
        <div>
            <a href="{{route('admin.vendedores.relatorio')}}" class="btn-flat waves-effect">Relatório Vendedores</a>
        </div>

        <div class="fixed-action-btn">
            <a href="{{route('admin.vendedores.create')}}" class="btn-floating btn-large waves-effect waves-light">
                <i class="large material-icons">add</i>
            </a>
        </div>
    </section>

@endsection

resources/views/admin/vendedors/relatorio.blade.php
<html>
    <style>
        table{
            background-color: #fefefe;
            border-radius: 5px;
            border: 1px solid #ccc;
            width: 100%
        }
        table td,
        table th{
            border:1px solid #ccc;
        }
        table th{
            font-weight: bold;
            background-color: #eee;
            padding: 10px;
            text-align: center;
        }
    </style>
    <h1>Relatório Comissão Vendedor</h1>
    <hr>
        <table>
            <thead>
                <tr>
                    <th>Nome</th>
                    <th>CPF</th>
                    <th>Vendas</th>
                    <th>Valor</th>
                </tr>
            </thead>
            <tbody>
        @foreach ($clientes as $cliente)
            @if($cobranca->confirma_pagamento->pago == 'Em aberto')
                <tr>
                    <td>{{$cliente->vendedor->nome}}</td>
                    <td>{{$cobranca->cliente->nome}}</td>
                    <td>{{$cobranca->cliente->plano->nome}}</td>
                    <td>R$ {{number_format($cobranca->cliente->plano->valor, '2', ',', '.')}}</td>
                    <td>{{$cobranca->cliente->cidade->nome}}</td>
                    <td>{{$cobranca->periodo->nome}}/{{$cobranca->ano}}</td>
                </tr>
            @endif
        @endforeach
            </tbody>
        </table>



    <hr>
</html>